.p-question-update__container {
  .__form-control {
    .m-multi-choice-mc2 {
      &__right {
        .form-input-stretch {
          .a-content-with-label {
            > div[contenteditable='true'],
            > div[contenteditable='false'] {
              padding: 5.7rem 1.2rem 1rem !important;
            }
            > label {
              top: 6.6rem;
            }
          }
        }
      }
    }
  }
}
.m-multi-choice-mc2 {
  display: flex;
  width: 100%;
  padding: 2rem;
  &__left {
    flex: 1 1;
    background: #f5f8fc;
    padding: 1rem;
    border-radius: 8px;
    padding: 1.6rem 0.6rem 0;
    .form-input-stretch {
      height: 100%;
      .error {
        border-color: #dd3a09 !important;
      }
      .__container {
        background-color: #f5f8fc;
        border-radius: 8px;
        border: 0.1rem solid #d5dee8;
        height: 100%;
        width: 100%;
        .image-input-mc2 {
          display: flex;
          align-items: center;
          justify-content: center;
          height: 100%;
          width: 100%;

          .image {
            input {
              display: none;
            }

            .image-default {
              display: flex;
              flex-direction: column;
              align-items: center;
              justify-content: center;
              cursor: pointer;

              img {
                height: 40px;
                width: 40px;
              }
            }
          }
        }
      }
      .box-image-input-MC2 {
        border-radius: 0.8rem;
        border: 0.1rem solid #d5dee8;
        width: 100%;
        height: min(45rem, 50vh);
        background: #fff;
        position: relative;
        .image-section {
          height: 100%;
          width: 100%;
          display: flex;
          justify-content: center;
          align-items: center;
          padding: 3rem;
          .image-input-origin {
            position: relative;
            max-height: 100%;
            max-width: 100%;
            .image-upload {
              max-width: 100%;
              height: 100%;
              max-height: min(39rem, 43vh);
            }
            .image-delete-icon {
              position: absolute;
              top: -6px;
              right: -6px;
              width: 24px;
              height: 24px;
              cursor: pointer;
            }
          }
        }
        > span {
          position: absolute;
          top: 0;
          left: 1.5rem;
          transform: translate(0, -50%);
          background-color: #f5f8fc;
        }
      }
    }
  }

  &__right {
    max-width: 49%;
    flex: 1;
    position: relative;

    .form-input-stretch {
      position: relative;
      .a-content-with-label {
        height: 10rem;
        .box-action-info {
          justify-content: center;
          padding: 0;
          height: 4.5rem !important;
          .__content-toggle {
            position: absolute;
            height: 100%;
            width: 50%;
            display: flex;
            align-items: center;
            top: 50%;
            left: 1rem;
            transform: translateY(-50%);
            .__switcher {
              display: flex;
              position: relative;
              transform: unset;
              pointer-events: auto;
              left: unset;
              top: unset;
              .rs-toggle-presentation {
                background: #67ab8d;
                min-width: 50px;
                width: auto;
                height: 24px;
              }
            }
            .rs-toggle-checked {
              .rs-toggle-presentation {
                background: #f8c116;
              }
            }
            &.toggle-error {
              .rs-toggle-presentation {
                box-shadow: 0 0 0 0.15rem #dd3a09;
              }
            }
          }
        }
        .rs-toggle {
          top: 2rem;
        }
      }

      & > div {
        & > table.question-table {
          thead {
            tr {
              th {
                &:nth-child(1) {
                  width: 110px;
                }
                &:nth-child(2) {
                  text-align: left;
                }
                &:nth-child(3) {
                  width: 80px;
                }
              }
            }
          }
          tbody{
            tr{
              td.error{
                .add-new-answer{
                  padding: 15px 5px;
                  border: 1px solid #dd3a09;
                  border-radius: 8px;
                }
              }
            }
          }
        }
      }
    }
  }
}

